<?

/*Автор: Romasik
romasik.b3n.ru
ISQ 633525561
E-mail. romasik0000@mail.ru*/

require'../config.php';
$align='left';
$title='Гостевая книга';
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

if ($user['id']){

switch($mod){

default:




case 'komm':
$did = check(intval($_GET['did']));

if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `gb` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: ?mod='.$mod.'&did='.$did.'&'.SID);
}

if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])>3){
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
if ($db->sql_query ("INSERT INTO gb (did,user_id,time,msg) VALUES ('$did','$user[id]','$time','".check($_POST['msg'])."')")){header ('Location: ?mod='.$mod.'&did='.$did.'&'.SID); exit;
}else echo 'Ошибка!<br />';


}

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from gb where did = '".$did."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from gb where did = '".$did."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Сообшений нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a['user_id']).'';
if($user[level]>=6)echo '<small><a href="?mod='.$mod.'&did='.$did.'&delk='.$a['id'].'">[X]</a></small>';
echo '('.times($a['time']).')'.div;

echo text($a['msg']);
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('dids?mod='.$mod.'&did='.$did.'&',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

if ($ver!='wml')echo '<form action="?mod='.$mod.'&did='.$did.'&'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ваше сообшение:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ваше сообшение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="?mod='.$mod.'&did='.$did.'&'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Отправить"/></form><br /><br />';
}




break;





}









echo '<br />';
echo gb.'<a href="'.H.'gb/index.php">Обновить</a> | <a href="'.H.'smiles/">Смайлы</a> | <a href="'.H.'gb/bbcode">BBcode</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
}
foot();
?>